// =============================================================================
// Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
// Copyright (C) DIGITEO - 2010 - Allan CORNET
//
// This file must be used under the terms of the CeCILL.
// This source file is licensed as described in the file COPYING, which
// you should have received as part of this distribution.  The terms
// are also available at
// http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
// =============================================================================
function equationPath = mgw_getEquationPkgPath()
  equationPath = [];
  equationPaths = getenv('EQ_LIBRARY_PATH', '');
  if equationPaths <> '' then
    equationPaths = strsplit(equationPaths, pathsep());

    idx = [];
    if win64() then
      idx = grep(equationPaths, 'x86_64');
    else
      idx = grep(equationPaths, 'i686');
    end

    if idx <> [] then
      equationPath = fullpath(equationPaths(idx) + filesep() + '..');
    end
  end
endfunction